DS_F_NAME_IN_PACKET(3)

FUNCTION
ds_f_name_in_packet - Recursively search for named item under a packet.

SYNOPSIS
#include <karma_ds.h>

unsigned int ds_f_name_in_packet

(CONST packet_desc *pack_desc, CONST char *name, char **encls_desc, unsigned int *index)

DESCRIPTION
Recursively search for named item under a packet.

pack_desc
    The packet descriptor.

name
    The name of the item to search form. If NULL, then the routine will not find anything.

encls_desc
    The pointer to the enclosing structure of the named item will be written here. If this is NULL, nothing is written here.

index
    The index (dimension number or element number) of the item will be written here. If this is NULL, nothing is written here.

RETURN VALUE
A code based on the type of the item with the same name. See <-ds_IDENT_TABLE-> for a list of possible values.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/